SymbianSDKFactory (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.sdk.core.SymbianSDKFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.sdk.core
Class SymbianSDKFactory

    java.lang.Object
      com.nokia.carbide.cpp.sdk.core.SymbianSDKFactory

    public class SymbianSDKFactory

extends java.lang.Object

Factory to create new instances of SDK object. This adds new SDK to the devices.xml file but does not add to the SDK map

Constructor Summary
`SymbianSDKFactory()`

Method Summary
`static ISymbianSDK` | `createInstance(java.lang.String id, java.lang.String epocRoot, java.lang.String name, Version osVersion, java.lang.String osBranch, Version sdkVersion, boolean isDefault)` Create an new ISymbian SDK object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SymbianSDKFactory

    public SymbianSDKFactory()

Method Detail

### createInstance

    public static ISymbianSDK createInstance(java.lang.String id,
                                             java.lang.String epocRoot,
                                             java.lang.String name,
                                             Version osVersion,
                                             java.lang.String osBranch,
                                             Version sdkVersion,
                                             boolean isDefault)

  Create an new ISymbian SDK object

  Parameters:
    `id` - - The unique id. This is the devices.xml 'id' attribute and should be unique.
    `epocRoot` - - Location of epoc32 folder (not including it)
    `name` - - The com.vendor.sdk name. The 'name' attribute from devices.xml
    `osVersion` - - The version identifier
    `osBranch` - - The branch idenfitier (can be empty string if none)
    `sdkVersion` - - The SDK version identifier
    `isDefault` - - The 'default' attribute from devices.xml.
  Returns:
    An ISymbianSDK object with its data added to devices.xml

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD